<?php
    require('adodb/adodb.inc.php'); //biblioteca necessaria para trabalhar com adodb
	require_once('conexao.php');
	require_once('funcoes.php');
	require_once("fphp/fpdf.php");
	$diaatual = date ('d/m/Y H:i');	
  	session_start();
	class manutencao_relatorio
	{
	  function cliente_filtra_grid($acesso_idempresa, $idrevendedor, $cspvalidoi, $cspvalidof, $login, $situacao){	
		    $con = new conexao();
			$sql = "select csp_user.*, provedor.nome, provedor.clienteteste, profile.descricao as profile from csp_user, provedor, profile where csp_user.id = provedor.idprovedor and csp_user.idprofile = profile.idprofile and csp_user.idempresa='$acesso_idempresa' and provedor.idrevendedor = 'idrevendedor' and provedor.gerarmensalidade = 1 and csp_user.del='NAO'";
			if ($login <> ""){
				$sql .= " and csp_user.name like '$login%'";
			}				
			if ($cspvalidoi <> "" && $cspvalidof <> ""){
				$cspvalidoI=ymd($cspvalidoi);
				$cspvalidoF=ymd($cspvalidof);
				$sql .= " and csp_user.expiredate between '$cspvalidoI' and '$cspvalidoF'";
			}
			$resultado = $con->banco->Execute($sql);
			$dados_bd['dados'][0] = "";
			$i = 0;
			while($registro = $resultado->FetchNextObject())
			{
				 $teste = $registro->CLIENTETESTE;
				 if ($teste == "1"){
					 	$teste == "Sim";
				 } else {
						$teste == "Nao"; 
				 }
				 $dados_bd['dados'][$i]['id']         = $registro->ID;
				 $dados_bd['dados'][$i]['name']       = $registro->NAME;
				 $dados_bd['dados'][$i]['profile']    = $registro->PROFILE;
				 $dados_bd['dados'][$i]['expiredate'] = $registro->EXPIREDATE;
				 $dados_bd['dados'][$i]['vencimento'] = dmy($registro->EXPIREDATE);
				 $dados_bd['dados'][$i]['enabled']    = $registro->SITUACAO; 
				 $dados_bd['dados'][$i]['nome']       = $registro->NOME;
				 $dados_bd['dados'][$i]['teste']      = $teste;
				 $i++;
			}
			return $dados_bd;
	 }
	  function filtra_sel_revendedor($acesso_idempresa, $acesso_idusuario, $admin){	
		    $con = new conexao();
			$sql = "select * from usuario where idempresa = '$acesso_idempresa' and situacao = 'Ativo' and del='NAO'";
			if ($admin == "0"){
				$sql .= " and idusuario = '$acesso_idusuario'";
			}				
			$resultado = $con->banco->Execute($sql);
			$dados_bd['dados'][0] = "";
			$i = 0;
			while($registro = $resultado->FetchNextObject())
			{
				 $dados_bd['dados'][$i]['idrevendedor'] = $registro->IDUSUARIO;
				 $dados_bd['dados'][$i]['login']        = $registro->LOGIN;
				 $i++;
			}
			return $dados_bd;
	 }


	  function fcliente_gerar_relatorio($acesso_idempresa, $idrevendedor, $cspvalidoi, $cspvalidof, $login, $situacao){	
			$con = new conexao();
			$sql = "select csp_user.*, provedor.nome, profile.descricao as profile from csp_user, provedor, profile where csp_user.id = provedor.idprovedor and csp_user.idprofile = profile.idprofile and csp_user.idempresa='$acesso_idempresa' and provedor.idrevendedor = 'idrevendedor' and provedor.gerarmensalidade = 1 and csp_user.del='NAO'";
			if ($login <> ""){
				$sql .= " and csp_user.name like '$login%'";
			}				
			if ($cspvalidoi <> "" && $cspvalidof <> ""){
				$cspvalidoI=ymd($cspvalidoi);
				$cspvalidoF=ymd($cspvalidof);
				$sql .= " and csp_user.expiredate between '$cspvalidoI' and '$cspvalidoF'";
			}
			$sql .= " order by csp_user.expiredate ASC";
			$resultado = $con->banco->Execute($sql);
			$dados_bd['dados'][0] = "";
			$i = 0;
			
			$pdf = new cliente_pdf('L'); 
			$pdf->Open();
      		$pdf->AddPage();						
      		$pdf->SetX(-10);
      		$pdf->line(10, 25, $pdf->GetX(), 25);
      		$pdf->SetXY(10, 27);
      		$pdf->SetFont('Arial', '', 12); 	 		
			
			while($registro = $resultado->FetchNextObject())
			{	
			 $validade	= dmy($registro->EXPIREDATE);
			 $pdf->Cell(40, 5, $validade, 0, 0);
			 $pdf->Cell(60, 5, $registro->NAME, 0, 0);
			 $pdf->Cell(40, 5, $registro->PROFILE, 0, 0);
			 $pdf->Cell(50, 5, $registro->NOME, 0, 1);
			 $i++;
			}

      	$arquivo = "tmp/relatorio_".session_id().".pdf";
		$pdf->Output( $arquivo,'F' );
		return $arquivo;
	  }
}

class cliente_pdf extends FPDF
	{
		function Header()
		{	
			$this->SetFont('Arial','B',16);
			$this->Cell(0, 10, 'Relatorio de Clientes / Validade',0,1,'C');
      		$this->SetFont('Arial', 'B', 12);
      		$this->Cell(40, 5, "Validade", 0, 0);
			$this->Cell(60, 5, "Login", 0, 0);
			$this->Cell(40, 5, "Profile", 0, 0);
			$this->Cell(50, 5, "Nome:", 0, 0);
			$this->Ln(20);
		}
		function Footer()
		{
			$this->SetY(-15);
			$this->SetFont('Arial','I',10);
			$this->Cell(0,10,'CSPADM 2.0 - Pagina '.$this->PageNo()." $diaatual ",0,0,'C');
		}
}

class financeiro extends FPDF
	{
		function Header()
		{	
			$this->SetFont('Arial','B',16);
			$this->Cell(0, 10, 'Relatorio - Financeiro',0,1,'C');
      		$this->SetFont('Arial', 'B', 12);
      		$this->Cell(40, 5, "Validade", 0, 0);
			$this->Cell(60, 5, "Login", 0, 0);
			$this->Cell(40, 5, "Profile", 0, 0);
			$this->Cell(50, 5, "Nome:", 0, 0);
			$this->Ln(20);
		}
		function Footer()
		{
			$this->SetY(-15);
			$this->SetFont('Arial','I',10);
			$this->Cell(0,10,'CSPADM 2.0 - Pagina '.$this->PageNo()." $diaatual ",0,0,'C');
		}
}




?>